* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    width: 100%;
    overflow-x: hidden;
}

/* Basic Setup  */

/* Variable  */
:root {
    --primary-color: #EA004A;
    --page1: #212121;
    --page2: #2A2A2A
}

span {
    color: var(--primary-color);
}

section {
    padding: 100px 100px;
}

.title {
    font-size: 50px;
    color: #fff;
    margin-bottom: 30px;
    text-align: center;
    font-weight: bold;
}

.about .title {
    text-align: start;
}

img {
    max-width: 100%;
}

/* HEader Start  */

.main-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 100px;
}

.logo {
    font-size: 30px;
    color: #fff;
}

.nav-list {
    display: flex;
    gap: 30px;
}

.nav-list li {
    list-style: none;
}

.nav-list li a {
    text-decoration: none;
    color: #fff;
}

.banner-title-and-others {
    padding-left: 100px;
}

header {
    background-image: url(img/background.jpg);
    height: 950px;
    background-size: cover;
    width: 100%;
    background-position: center;
}

.banner {
    display: flex;
    align-items: center;
    height: 750px;
}

.banner h1 {
    color: #fff;
    font-size: 60px;
    font-weight: bold;
}

.banner h1 span {
    color: var(--primary-color);
}

.banner h3 {
    font-size: 40px;
    color: #fff;
}

.banner p {
    font-size: 18px;
    width: 500px;
    color: #fff;
    margin: 40px 0;
}

.btn-primary {
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    padding: 15px 40px;
    outline: none;
    font-size: 17px;
    border-radius: 6px;
}

/* About Section Starting  */

.about {
    background-color: var(--page1);

}

.container {
    display: flex;
    align-items: center;
    justify-content: space-around;
}



.about-content p {
    line-height: 51px;
    color: #fff;
    width: 605px;
}

.about-profile img {
    width: 100%;
    border-radius: 16px;
}

/* Starting My Service  */

.services {
    background-color: var(--page2);
}

.service-row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 60px;
    margin-top: 80px;
}

.single-service {
    background-color: var(--page1);
    color: #fff;
    padding: 50px;
    border-radius: 16px;
}

.single-service i {
    font-size: 28px;
    margin-bottom: 20px;
}

.single-service h3 {
    font-size: 25px;
    margin-bottom: 10px;
    font-weight: 400;
    color: var(--primary-color);
}

.single-service p {
    margin-bottom: 20px;
    font-size: 14px;
}

.btn-secondery {
    background-color: var(--page2);
    border: none;
    padding: 5px 8px;
    color: #fff;
    font-size: 14px;
    cursor: pointer;
}

/* Starting portfolio */


.portfolio-image {
    position: relative;
    overflow: hidden;
    /* Ensure the overflow is hidden to hide the content initially */
    display: inline-block;
    border-radius: 20px;
}

.roof-of-image {
    position: absolute;
    bottom: 0;
    /* Initially position it at the bottom */
    left: 502;
    text-align: center;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding-top: 50%;
    box-sizing: border-box;
    transition: transform 0.3s ease;
    transform: translateY(101%);
    border-radius: 20px;
}

.roof-of-image h3 {
    font-size: 30px;
}

.portfolio-image:hover .roof-of-image {
    transform: translateY(0);
}

.project-cotnaienr {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
}

.projects {
    background-color: var(--page1);
}

/* Contact Starting  */

.Contact {
    background-color: var(--page2);
    display: flex;
    justify-content: space-around;
}

.form-side form input {
    width: 300px;
    border: none;
    font-size: 18px;
    padding: 16px 30px;
    margin-bottom: 20px;
    margin-right: 33px;
    outline: none;
    border-radius: 8px;
}

textarea {
    width: 637px;
    height: 271px;
    padding: 30px;
    font-size: 18px;
    outline: none;
    border-radius: 8px;
}

.title-side p {
    color: #fff;
    width: 387px;
}

/* End All Section  */

footer {
    background-color: var(--page1);
    text-align: center;
    font-size: 20px;
    color: #fff;
    padding: 30px;
}

/* Media Queries  */

@media screen and (max-width: 576px) {
    .banner-title-and-others {
        padding-left: 20px;
    }

    .banner-title-and-others p {
        width: auto;
    }

    .main-nav {
        flex-direction: column;
    }

    .logo {
        margin-bottom: 30px;
    }

    .container {
        flex-direction: column;
    }

    .about-content p {
        width: auto;
    }

    section {
        padding: 100px 50px;
    }

    .service-row {
        grid-template-columns: repeat(1, 1fr);
    }

    .project-cotnaienr {
        grid-template-columns: repeat(1, 1fr);
    }

    .Contact {
        flex-direction: column;
    }

    .form-side form input {
        width: 100%;
    }

    textarea {
        width: 100%;
    }

    .title-side{
        margin-bottom: 30px;
    }
}